Bug 552105 - cpanspec treats recommended dependencies to required
Summary: cpanspec treats recommended dependencies to required
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: cpanspec   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-04 02:58 UTC by Tim Landscheidt
Modified: 2015-02-24 15:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 00:54:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to ignore "recommends" dependencies. (702 bytes, patch)
2010-01-04 02:58 UTC, Tim Landscheidt
no flags Details | Diff

Description Tim Landscheidt 2010-01-04 02:58:46 UTC
Created attachment 381464 [details]
Patch to ignore "recommends" dependencies.

With cpanspec 1.78, META.yml's "recommends" dependencies are treated as "requires" ones. That is way too harsh and easily requires many more package updates than ordinarily necessary. The attached patch fixes this.

Comment 1 Bug Zapper 2010-04-28 11:39:04 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-11-04 01:55:24 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-04 00:54:08 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Steven Pritchard 2010-12-07 20:04:59 UTC
I consciously added that, assuming that a lot of the dependencies for tests would be "recommends", which means that they are really "requires" as far as we're concerned.

That said, the current cpanspec (that I'm working on) actually scans tests for dependencies, so maybe the change would make sense.  I'm not sure.

Comment 5 Fedora End Of Life 2013-04-03 20:16:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 CJ Kucera 2013-07-18 21:14:42 UTC
Yeah, this would be nice to patch in.  Perhaps it makes sense to have an extra argument for handling these?  So the user could choose how to deal with 'recommend'ed packages?  Not that hand-editing the .spec file is difficult after-the-fact, of course.

(I came across this by stumbling across a fun loop where HTTP::Tiny recommends HTTP::CookieJar, which recommends Mozilla::PublicSuffix, which then *requires* HTTP::Tiny.  Had been wondering how in the world that came to be until I noticed the recommend statements.)

Comment 7 Petr Pisar 2013-07-19 06:31:54 UTC
In my opinion, cpanspec should not add recommended modules to dependencies. However it should put them into the spec file as a comment. Reason is following:

There are various ways how Perl code can make a dependency optional. Some of them lead to program crash (if ($foo) { require Bar }). I tend to handle these cases as a hard dependencies at RPM level because packaged code should not die due to missing dependency. Only a packager can evaluate this problem properly. So the recommended modules should be written as a comment to strike the packager when reviewing the cpanspec output.

Comment 8 Fedora Admin XMLRPC Client 2014-11-10 15:34:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2014-11-10 15:51:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora End Of Life 2015-01-09 21:41:44 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.